package com.anytypeio.anytype.core_ui.widgets.objectIcon.custom_icons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp


val CustomIcons.CiColorFilter: ImageVector
    get() {
        if (_CiColorFilter != null) {
            return _CiColorFilter!!
        }
        _CiColorFilter = ImageVector.Builder(
            name = "CiColorFilter",
            defaultWidth = 512.dp,
            defaultHeight = 512.dp,
            viewportWidth = 512f,
            viewportHeight = 512f
        ).apply {
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(253.72f, 202.53f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, 4.56f, 0f)
                arcToRelative(151.88f, 151.88f, 0f, isMoreThanHalf = false, isPositiveArc = true, 128.44f, -20.41f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, 5.15f, -4f)
                curveTo(388.8f, 105.86f, 329f, 48f, 256f, 48f)
                reflectiveCurveTo(123.2f, 105.86f, 120.13f, 178.15f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, 5.15f, 4f)
                arcToRelative(151.88f, 151.88f, 0f, isMoreThanHalf = false, isPositiveArc = true, 128.44f, 20.41f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(405.31f, 212.56f)
                arcToRelative(152.53f, 152.53f, 0f, isMoreThanHalf = false, isPositiveArc = true, -83.08f, 108.23f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, -2.28f, 3.69f)
                curveToRelative(0f, 1.17f, 0.05f, 2.34f, 0.05f, 3.52f)
                arcToRelative(151.58f, 151.58f, 0f, isMoreThanHalf = false, isPositiveArc = true, -47.15f, 109.94f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, 0.64f, 6.31f)
                arcTo(135.24f, 135.24f, 0f, isMoreThanHalf = false, isPositiveArc = false, 344f, 464f)
                curveToRelative(72.07f, 0f, 134.1f, -60.28f, 136f, -132.34f)
                arcToRelative(136.07f, 136.07f, 0f, isMoreThanHalf = false, isPositiveArc = false, -68.76f, -121.87f)
                arcTo(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, 405.31f, 212.56f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(390.57f, 203.67f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, -2.69f, -4.4f)
                arcToRelative(135.84f, 135.84f, 0f, isMoreThanHalf = false, isPositiveArc = false, -114.4f, 12.49f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, -0.64f, 6.29f)
                arcToRelative(151.92f, 151.92f, 0f, isMoreThanHalf = false, isPositiveArc = true, 44.47f, 81.4f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, 5.94f, 2.72f)
                arcTo(136.29f, 136.29f, 0f, isMoreThanHalf = false, isPositiveArc = false, 390.57f, 203.67f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(192f, 328f)
                curveToRelative(0f, -1.18f, 0f, -2.35f, 0.05f, -3.52f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, -2.28f, -3.69f)
                arcToRelative(152.53f, 152.53f, 0f, isMoreThanHalf = false, isPositiveArc = true, -83.08f, -108.23f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, -5.88f, -2.77f)
                arcTo(136.07f, 136.07f, 0f, isMoreThanHalf = false, isPositiveArc = false, 32.05f, 331.66f)
                curveTo(34f, 403.72f, 96f, 464f, 168.05f, 464f)
                arcToRelative(135.24f, 135.24f, 0f, isMoreThanHalf = false, isPositiveArc = false, 70.46f, -19.75f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, 0.64f, -6.31f)
                arcTo(151.58f, 151.58f, 0f, isMoreThanHalf = false, isPositiveArc = true, 192f, 328f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(168f, 192f)
                arcToRelative(135.34f, 135.34f, 0f, isMoreThanHalf = false, isPositiveArc = false, -43.88f, 7.27f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, -2.69f, 4.4f)
                arcToRelative(136.29f, 136.29f, 0f, isMoreThanHalf = false, isPositiveArc = false, 67.32f, 98.5f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, 5.94f, -2.72f)
                arcToRelative(151.92f, 151.92f, 0f, isMoreThanHalf = false, isPositiveArc = true, 44.47f, -81.4f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, -0.64f, -6.29f)
                arcTo(135.18f, 135.18f, 0f, isMoreThanHalf = false, isPositiveArc = false, 168f, 192f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(256f, 336f)
                arcToRelative(151.44f, 151.44f, 0f, isMoreThanHalf = false, isPositiveArc = true, -42.72f, -6.12f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, -5.15f, 4f)
                arcToRelative(135.69f, 135.69f, 0f, isMoreThanHalf = false, isPositiveArc = false, 45.18f, 95.4f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, 5.38f, 0f)
                arcToRelative(135.69f, 135.69f, 0f, isMoreThanHalf = false, isPositiveArc = false, 45.18f, -95.4f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, -5.15f, -4f)
                arcTo(151.44f, 151.44f, 0f, isMoreThanHalf = false, isPositiveArc = true, 256f, 336f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(302.57f, 308.33f)
                arcToRelative(135.94f, 135.94f, 0f, isMoreThanHalf = false, isPositiveArc = false, -43.87f, -81.58f)
                arcToRelative(4.06f, 4.06f, 0f, isMoreThanHalf = false, isPositiveArc = false, -5.4f, 0f)
                arcToRelative(135.94f, 135.94f, 0f, isMoreThanHalf = false, isPositiveArc = false, -43.87f, 81.58f)
                arcToRelative(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, 2.69f, 4.4f)
                arcToRelative(136.06f, 136.06f, 0f, isMoreThanHalf = false, isPositiveArc = false, 87.76f, 0f)
                arcTo(4f, 4f, 0f, isMoreThanHalf = false, isPositiveArc = false, 302.57f, 308.33f)
                close()
            }
        }.build()

        return _CiColorFilter!!
    }

@Suppress("ObjectPropertyName")
private var _CiColorFilter: ImageVector? = null
